<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/activity_home_layout_search"
    android:layout_width="match_parent"
    android:layout_height="@dimen/edit_text"
    android:background="@drawable/gradient_banner_inverse" >

    <ImageButton
        android:id="@+id/search_button"
        android:layout_width="@dimen/edit_text"
        android:layout_height="@dimen/edit_text"
        android:layout_alignParentLeft="true"
        android:adjustViewBounds="true"
        android:background="@drawable/selector_blue"
        android:padding="2dp"
        android:scaleType="centerInside"
        android:src="@drawable/search" />

    <AutoCompleteTextView
        android:id="@+id/search_text"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_marginBottom="1px"
        android:layout_marginRight="1px"
        android:layout_marginTop="1px"
        android:layout_toRightOf="@+id/search_button"
        android:background="@android:color/white"
        android:hint="@string/search_hint"
        android:imeOptions="actionSearch"
        android:inputType="text"
        android:nextFocusLeft="@id/search_text"
        android:nextFocusUp="@id/search_text"
        android:paddingLeft="@dimen/margin_medium"
        android:paddingRight="@dimen/margin_medium"
        android:singleLine="true"
        android:textColor="@color/clr_dark_grey" />

    <ImageButton
        android:id="@+id/search_cross"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_marginBottom="1px"
        android:layout_marginRight="1px"
        android:layout_marginTop="1px"
        android:background="@android:color/white"
        android:src="@android:drawable/ic_menu_close_clear_cancel"
        android:visibility="gone" />

</RelativeLayout>